Application-level templates
Application-level templates let you create reusable messages with dynamic content. Each template is linked to the Nylas application associated with the API key specified in a Create Template request.
Nylas supports the following templating engines:
We recommend you use mustache }} or Handlebars if you need a simple implementation. If you need more advanced formatting, conditions, or layouts, we recommend Nunjucks or Twig.
GET /v3/templatesReturns a list of application-level templates.
POST /v3/templatesCreates an application-level template.
GET /v3/templates/{template_id}Returns the specified application-level template.
PUT /v3/templates/{template_id}Updates the specified application-level template.
DELETE /v3/templates/{template_id}Deletes the specified application-level template.
POST /v3/templates/renderRenders the HTML content of an application-level template using the provided variables and specified templating engine.
POST /v3/templates/{template_id}/renderRenders the specified application-level template with the provided variables.